#include "../../fist.h"
#include <linux/module.h>
#include "md5.h"

int md5_initctx(void **ctx) {
	int err = 0;

	ASSERT(ctx);

	*ctx = kmalloc(sizeof(md5_state_t), GFP_KERNEL);
	if (!*ctx) {
		err = -ENOMEM;
	}
	md5_init(*ctx);

	return err;
}

void md5_freectx(void *ctx) {
	kfree(ctx);
}

